Bug 198072 - double free or corruption messages from multiple programs
double free or corruption messages from multiple programs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-08 22:31 EDT by Tom Horsley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 02:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2006-07-08 22:31:11 EDT
Description of problem:

I think the x86_64 glibc and/or gcc has some sort of generic problem
that leads to spurious double free or corruption aborts (either that
or several programs have been busted forever).

When I boot (see Bug 196419) /sbin/kpartx crashes with this error.

Just a little while ago I was using find, xargs, and grep to search
all the files in /usr/share and grep got the same kind of crash.

Maybe you should revert to the gcc/glibc FC5 uses :-).

Version-Release number of selected component (if applicable):

Not sure since I don't have the system booted at the moment, but it
is FC6t1 with all the latest updates applied as of the date on this
bugzilla.

How reproducible:

The /sbin/kpartx crash happens on every boot, didn't try to reproduce
the grep crash.
Comment 1 Tom Horsley 2006-07-09 14:37:58 EDT
Another probable glibc problem: If I run Gnu Cash and click on "Help",
the "yelp" program comes up, draws the initial screen, then immediately
crashes. Haven't confirmed this is another glibc corruption bug, but
it wouldn't surprise me.
Comment 2 Jakub Jelinek 2006-07-10 02:40:03 EDT
If glibc report a double free corruption, it is a bug in the program in which
it happens.  You need to report it against the program in which it happens.

Note You need to log in before you can comment on or make changes to this bug.